#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EContentReportSubjectType {
    Invalid = 0,
    ForumPost = 1,
    Unused = 2,
    UGCFile = 3,
    FriendChatMsg = 4,
    ChatRoomMsg = 5,
    ChatGroup = 6,
    MAX = 7,
}

impl EContentReportSubjectType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::ForumPost as i32 => Some(Self::ForumPost),
            x if x == Self::Unused as i32 => Some(Self::Unused),
            x if x == Self::UGCFile as i32 => Some(Self::UGCFile),
            x if x == Self::FriendChatMsg as i32 => Some(Self::FriendChatMsg),
            x if x == Self::ChatRoomMsg as i32 => Some(Self::ChatRoomMsg),
            x if x == Self::ChatGroup as i32 => Some(Self::ChatGroup),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
